#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# ==============================================================================
# EXERCICE 44 p183                                               NIVEAU CONFIRME
# Programme permettant de ...à compléter...
# ...à compléter...
# ...à compléter...
# ...à compléter...
# ==============================================================================

# Import de la fonction logarithme décimal depuis la bibliothèque "math"
...à compléter......


# ...à compléter...
def Qr(c,pH) :
    ...à compléter...
    ...à compléter...
    
# Demande à l'utilisateur la concentration en quantité d'acide introduit
c=...à compléter...
# Demande à l'utilisateur la nature de l'acide : fort (F) ou faible (f)
reponse=...à compléter...


if reponse=="F":
print("Le pH de la solution vaut :",'{:.2f}'.format(-log10(c)))
else
    pKa=float(input("Valeur du pKa de l'acide faible introduit : "))
    Ka=10**(-pKa)
    pH=7.0
    while Qr(c,pH)!=Ka:
        pH=pH-0.05
print("Le pH de la solution vaut :",'{:.2f}'.format(pH))